Am Mittwoch, 13. Januar 2016, 15:23:30 schrieb Gianfranco Costamagna:
> Hi,
> I did a dch --bpo and uploaded on debomatic
> 
> http://debomatic-amd64.debian.net/distribution#jessie-backports/digikam/4.14
> .0-3~bpo8+1/buildlog
> 
> Matthias, does it work for you? I can upload it on backports if nobody
> objects.
> 
> I did some basic tests and the application is starting correctly on a clean
> jessie+bpo system.
> 
> (I could use a version on mentors, but you need to fix the versioning
> scheme)
> 
> cheers,
> 
> Gianfranco
> 
> 
> 
> 
> Il Domenica 10 Gennaio 2016 16:15, Steve M. Robbins <st...@sumost.ca> ha
> scritto: Hello Matthias,
> 
> Thank you for your interest in backporting digikam.  I can't speak for the
> other maintainers, but I personally do not have time to maintain backports
> and I would welcome your efforts to do so.
> 
> I have not looked at your package.  But I was a little surprised that the
> proposed backport of 4.14.0-1 was versioned 4.14.0-1.1~bpo8+1.   I did read
> through http://backports.debian.org/Contribute/ (thanks to Mattia Rizzolo
> for the reference!) and under the "basic rules" it says to simply append
> "~bpo..." to the version.  Do you really also need to change from "-1" to
> "-1.1"?
> 
> Best,
> -Steve
> 
> On January 2, 2016 12:13:59 PM Gianfranco Costamagna wrote:
> > Control: tags -1 moreinfo
> > 
> > Hi Matthias, if you need a backport, please ask the team or the previous
> > uploaders to perform it.
> > 
> > I cced the actual maintainers for the package, they will follow up with an
> > upload if possible (I hope).
> > 
> > BTW this kind of requests are usually performed with a bug against the
> > package, unless the package is mostly unmaintained.
> > 
> > cheers,
> > 
> > G.


The upload from debomatic  is ok. I can download pictures from my camera a 
Canon Powersshot SX 110 IS.

My problem with the versions number is . Its a NMU Upload for the backports.
Is this 4.14.0-1.1~bpo8+1 or this correct 4.14.0-1~bpo8+1.1 ? 

dch -n --bpo isn't  working.   

The output from lintian.


N:    Check: nmu, Type: source
N: 
W: digikam source: source-nmu-has-incorrect-version-number 4:4.14.0-3~bpo8+1
N: 
N:    A source NMU should have a Debian revision of "-x.x" (or "+nmuX" for a
N:    native package). This is to prevent stealing version numbers from the
N:    maintainer.
N:    
N:    Maybe you didn't intend this upload to be a NMU, in that case, please
N:    double-check that the most recent entry in the changelog is
N:    byte-for-byte identical to the maintainer or one of the uploaders. If
N:    this is a local package (not intended for Debian), you can suppress this
N:    warning by putting "local" in the version number or "local package" on
N:    the first line of the changelog entry.
N:    
N:    Refer to Debian Developer's Reference section 5.11.2 (NMUs and
N:    debian/changelog) for details.
N:    
N:    Severity: normal, Certainty: certain
N:    
N:    Check: nmu, Type: source


with best regards from Dortmund Matthias




_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to